### Class

# Gtk NotebookPage

since: 4.0

#### Description [src]

    final class Gtk.NotebookPage : GObject.Object
    {
      /* No available fields */
    }

`GtkNotebookPage` is an auxiliary object used by `GtkNotebook`.

Available since: 4.0

#### Ancestors

- GObject

#### Instance methods

###### gtk_notebook_page_get_child

Returns the notebook child to which `page` belongs.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.NotebookPage:child

The child for this page.

since: 4.0

###### Gtk.NotebookPage:detachable

Whether the tab is detachable.

since: 4.0

###### Gtk.NotebookPage:menu

The label widget displayed in the child’s menu entry.

since: 4.0

###### Gtk.NotebookPage:menu-label

The text of the menu widget.

since: 4.0

###### Gtk.NotebookPage:position

The index of the child in the parent.

since: 4.0

###### Gtk.NotebookPage:reorderable

Whether the tab is reorderable by user action.

since: 4.0

###### Gtk.NotebookPage:tab

The tab widget for this page.

since: 4.0

###### Gtk.NotebookPage:tab-expand

Whether to expand the child’s tab.

since: 4.0

###### Gtk.NotebookPage:tab-fill

Whether the child’s tab should fill the allocated area.

since: 4.0

###### Gtk.NotebookPage:tab-label

The text of the tab widget.

since: 4.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0